Package org.apache.sling.cms.core.models

## Class LocaleResource

- java.lang.Object
- - org.apache.sling.cms.core.models.LocaleResource

    @ProviderType
    @Model(adaptables=org.apache.sling.api.resource.Resource.class)
    public class LocaleResource
    extends Object

Model for retrieving the locale information from a resource with the jcr:language property.

### Constructor Summary

Constructors
`LocaleResource​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Locale` `getLocale()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocaleResource

    public LocaleResource​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getLocale

    public Locale getLocale()